Bug 496551 - Mobile broadband broken in kernel-2.6.29.1-100.fc11.i586
Mobile broadband broken in kernel-2.6.29.1-100.fc11.i586
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 22:56 EDT by Basil Mohamed Gohar
Modified: 2009-08-31 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 19:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages output from failed connection attempt (7.63 KB, text/plain)
2009-04-19 22:56 EDT, Basil Mohamed Gohar
no flags Details

  None (edit)
Description Basil Mohamed Gohar 2009-04-19 22:56:03 EDT
Created attachment 340278 [details]
/var/log/messages output from failed connection attempt

Description of problem:

Mobile broadband modem does not connect with latest kernel.

Version-Release number of selected component (if applicable):

kernel-2.6.29.1-100.fc11.i586

How reproducible:

All the time

Steps to Reproduce:
1. Boot with kernel-2.6.29.1-100.fc11.i586
2. Attempt to connect to mobile broadband
  
Actual results:

No blinken lights in NetworkManager

Expected results:

See der blinken lights in NetworkManager.

Additional info:

lsusb for device:

12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E270 HSDPA/HSUPA Modem
Comment 1 Chuck Ebbert 2009-04-21 15:36:33 EDT
This does not look like a kernel bug. The driver loads and pppd connects and authenticates, then NM kills it:

Apr 20 10:10:18 localhost pppd[2946]: Plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so loaded.
Apr 20 10:10:18 localhost pppd[2946]: pppd 2.4.4 started by root, uid 0
Apr 20 10:10:18 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
Apr 20 10:10:18 localhost pppd[2946]: Using interface ppp0
Apr 20 10:10:18 localhost pppd[2946]: Connect: ppp0 <--> /dev/ttyUSB0
Apr 20 10:10:18 localhost NetworkManager: <info>  (ttyUSB0): device state change: 5 -> 6
Apr 20 10:10:18 localhost pppd[2946]: CHAP authentication succeeded
Apr 20 10:10:18 localhost pppd[2946]: CHAP authentication succeeded
Apr 20 10:10:18 localhost NetworkManager: <info>  (ttyUSB0): device state change: 6 -> 7
Apr 20 10:10:34 localhost NetworkManager: <WARN>  pppd_timed_out(): Looks like pppd didn't initialize our dbus module
Apr 20 10:10:34 localhost NetworkManager: <info>  (ttyUSB0): device state change: 7 -> 9
Apr 20 10:10:34 localhost pppd[2946]: Terminating on signal 15
Apr 20 10:10:34 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (GSM) connection' invalid.
Apr 20 10:10:34 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Apr 20 10:10:34 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Apr 20 10:10:34 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Comment 2 Niels Haase 2009-04-22 04:42:38 EDT
Thanks for filling this bug. Can you please provide your current NetworkManager version you are using (rpm -q NetworkManager)?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Dan Williams 2009-04-22 13:15:10 EDT
Reporter, can you, as root:

/sbin/service NetworkManager stop
NM_SERIAL_DEBUG=1 NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon


then try to connect with the modem.  When that fails, please attach the log output from NetworkManager so we can figure out what's going wrong here.
Comment 4 Basil Mohamed Gohar 2009-04-23 19:26:40 EDT
I apologize, but I no longer have this hardware in my possession.  I had to give it back today.  Is there any other information I could provide sans hardware that could be helpful?
Comment 5 Basil Mohamed Gohar 2009-04-23 19:28:21 EDT
By the way, I think this bug is related to the same hardware: https://bugzilla.redhat.com/show_bug.cgi?id=496426
Comment 6 Dan Williams 2009-04-24 11:54:47 EDT
This bug shouldn't be related to 496426; that's a problem with even getting the modem initialized.

You might try entering a fake username and password in the connection editor for your  modem.  Some modems require that.
Comment 7 Chuck Ebbert 2009-04-28 23:07:34 EDT
Close as insufficient_information?
Comment 8 Bug Zapper 2009-06-09 10:10:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Niels Haase 2009-08-31 19:12:12 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.